For AI agents: a documentation index is available at /llms.txt
Skip to main content

FulfillOptions

Properties

PropertyTypeDescription
base64Body?stringA base64-encoded response body. Use this instead of body for binary data.
body?stringThe response body to respond with
contentType?stringThe Content-Type header to respond with
headers?HeaderInput[]Additional response headers to respond with
method?Method[]The HTTP Method(s) of the requests to fulfill
operator?OperatorTypeWhether to "or" the conditions together (any match fulfills) or "and" them (all must match) Default or
regex?string[]JavaScript regular-expression pattern(s) to match request URLs
status?numberThe HTTP status code to respond with. Defaults to 200 Default 200
type?ResourceType[]The resource type(s) of the requests to fulfill
url?string[]The glob-style URL pattern(s) to fulfill requests for